# Glib::Value< double > Class Template Reference
[Generic Values]

Inherits Glib::ValueBase.

Collaboration diagram for Glib::Value< double >:
[legend]

List of all members.

## Public Types

typedef double | CppType
typedef gdouble | CType

## Public Member Functions

void | set (double data)
double | get () const

## Static Public Member Functions

static GType | value_type ()

### template <>
class Glib::Value< double >

## Member Typedef Documentation

typedef double Glib::Value< double >::CppType

typedef gdouble Glib::Value< double >::CType

## Member Function Documentation

double Glib::Value< double >::get | ( |  | ) | const

void Glib::Value< double >::set | ( | double | data | ) |

static GType Glib::Value< double >::value_type | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- glibmm/value_basictypes.h